# Error codes

If you haven't worked with GraphQL it might be a big surprise to you, that we don't rely on HTTP codes here. We there's no resource found, GraphQL would still return 200.

Here's a sample result of the case when there's no races found:

```graphql
{
  "data": {
    "getRaceResults": {
      "edges": [],
      "pageInfo": {
        "endCursor": null,
        "hasNextPage": false,
        "hasPreviousPage": false,
        "startCursor": null
      }
    }
  }
}
```

The only other HTTP error you'll is 500 if the request is totally incorrect:

```graphql
{
  "errors": {
    "detail": "Internal Server Error"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zed.run/getting-started/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
